{% extends '::base.html.twig' %} 

{% block title %}Reporte de Pedidos Cobrados Intentos{% endblock %}

{% block stylesheets %}
	<link rel="stylesheet" type="text/css" href="{{ asset('bundles/mdrreportes/css/reportes.css') }}">
{% endblock %}
{% block body %}
<!--BARRA DE MENUS-->
	<div class="container" style="width:97%; margin-top:15px;">

      <div class="at_reportes">
			 <div id="rep_opmenu">
      				{{form(form_rep)}}
      		</div>
      	<div class="table-responsive">	
      		<table id='tbl_reportes' class="table table-bordered">
				<thead class='head_table'>
					<tr>
						<th style="width: 120px;">Orivta</th>
						<th style="width: 70px;">Ordvta</th>
						<th style="width: 68px;">Plazo</th>
						<th>MCobro</th>
						<th style="width: 144px;">Tarjeta</th>
						<th>RefBanco</th>
						<th style="width: 122px;">FCobro</th>
						<th>Id_Cob</th>						
						<th style="width: 95px;">Estatus</th>
						<th style="width: 130px;">Operador</th>
						<th style="width: 122px;">FAlta</th>
						<th style="width: 135px;">Terminal</th>
					</tr>
				</thead>
				<tbody id="body_tbl_reportes" style="background: white;">
					
						{% for entity in cobrados %}
					<tr>
						<td style="width: 120px;">{{ entity.productos[0].productoPrecio.oficinaVenta.descripcion }}</td>
						<td style="width: 70px;">{{ entity.idPedido }}</td>
						<td  style="width: 68px;">{{ entity.pagosTarjeta[0].promocion.descripcion }}</td>
						<td>${{ entity.totalPago }}</td>								
							  	{% for cobrado in entity.cobros %}
							  		{% if cobrado.respuesta.idTipoRespuesta == 1 %}
							  			<td>{{ cobrado.numeroTarjeta|slice(0, 6)}}XXXXXXX{{ cobrado.numeroTarjeta|slice(12, 14)}}</td>
									    <td style="width: 91px;">{{ cobrado.numeroAutorizacion}}</td>
									    <td>{{ cobrado.fechaCobro.date|date("d/m/Y H:i:s") }}</td>
									{% endif %}
							    {% endfor %}	
						<td style="width: 72px;">{{ entity.cobros|length }}</td>						
						<td>{{ entity.estatus.descripcion }}</td>
						<td>{{ entity.usuario.uNombre }}  {{ entity.usuario.uApPaterno }}  {{ entity.usuario.uApMaterno }}</td>
						<td>{{ entity.fecha.date|date("d/m/Y H:i:s") }}</td>
						<td>{{ entity.pagosTarjeta[0].terminal.descripcion }}</td>
					</tr>
						{% endfor %}	
					
				</tbody>
			</table>	
		</div>					
      </div>
	</div>
{% endblock %}
{% block javascripts %}
	<script>

//ESTILO DE LA TABLA Y FUNCION DROPDOWN MENU RESPONSIVE
$(document).ready(function() {
						var table  = $('#tbl_reportes').DataTable({
        					"language":DataTables.languaje.es 					
        				});	
						


						$( "select" ).addClass( "form-control" );
			        	$( "input[type='text']" ).addClass( "form-control" );
			        	$( "input[type='search']").addClass( "form-control" );			        	
			        	$( "#tbl_reportes_length" ).addClass( "form-inline" );
			        	$( "#tbl_reportes_filter" ).addClass( "form-inline" );      


    	});

		function loadPedidos(){
			showLoading('Cargando Pedidos ...</h3>');
		}


	$( "#form_fechaInicio" ).datepicker({
      format:   "dd/mm/yyyy",
      changeMonth: true,
      changeYear: true,
      yearRange: "1900:2050",
    });

    $( "#form_fechaFin" ).datepicker({
      format:   "dd/mm/yyyy",
      changeMonth: true,
      changeYear: true,
      yearRange: "1900:2050",
    });	


    //validar fechas	
	function vd_date(){
		
		var date1 = createdate($('#form_fechaInicio').val());
		var date2 = createdate($('#form_fechaFin').val());

		if (date1 <= date2) {
			$('#form_Consultar').attr("disabled", false);			
		}else if (date1 > date2){
			alert("La fecha de fin no puede ser una fecha anterior a la fecha de Inicio");
			$('#form_Consultar').attr("disabled", true);	
		}

	}
	</script>
{% endblock %}